<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.analysis.models.StatsAnalysis Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.analysis.models.StatsAnalysis Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.analysis.models.StatsAnalysis:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.png" usemap="#pyspottedunipd.analysis.models.StatsAnalysis_map" alt=""/>
  <map id="pyspottedunipd.analysis.models.StatsAnalysis_map" name="pyspottedunipd.analysis.models.StatsAnalysis_map">
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html" alt="pyspottedunipd.analysis.models.FacebookPostsDataFilter" shape="rect" coords="172,56,507,80"/>
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html" alt="pyspottedunipd.analysis.models.MLAnalysis" shape="rect" coords="0,168,335,192"/>
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_time_analysis.html" alt="pyspottedunipd.analysis.models.TimeAnalysis" shape="rect" coords="345,168,680,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4841441ebaf180449297cccc8885c77b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#a4841441ebaf180449297cccc8885c77b">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:a4841441ebaf180449297cccc8885c77b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a496abc3705fe7bf77f582593185554aa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#a496abc3705fe7bf77f582593185554aa">show_correlation_matrix</a> (self, title_image, headers_to_analyze)</td></tr>
<tr class="separator:a496abc3705fe7bf77f582593185554aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:aa60573d359cb6c8a4004e2be75e1daf5 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#aa60573d359cb6c8a4004e2be75e1daf5">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:aa60573d359cb6c8a4004e2be75e1daf5 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7410ac8346a93e803df0730878c7e30f inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7410ac8346a93e803df0730878c7e30f">parse_csv</a> (self)</td></tr>
<tr class="separator:a7410ac8346a93e803df0730878c7e30f inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c1af8e07f1fca90105cefe94ae21e15 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a4c1af8e07f1fca90105cefe94ae21e15">write_csv</a> (self, headers, data, out_file)</td></tr>
<tr class="separator:a4c1af8e07f1fca90105cefe94ae21e15 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:adf5b8a2bcb4064edd61e8836125ad622"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#adf5b8a2bcb4064edd61e8836125ad622">get_top_posts</a> (headers, data, likes_header=&quot;likes&quot;, min_likes_to_be_top_posts=90)</td></tr>
<tr class="separator:adf5b8a2bcb4064edd61e8836125ad622"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:a7889fa48c8c7ca17f274971e7769e29c inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7889fa48c8c7ca17f274971e7769e29c">convert_time_columns</a> (headers, headers_to_convert, data)</td></tr>
<tr class="separator:a7889fa48c8c7ca17f274971e7769e29c inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a78fcf3b4ce5299afdf160b79636a35 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a1a78fcf3b4ce5299afdf160b79636a35">add_time_columns</a> (headers, data, date_header, time_header)</td></tr>
<tr class="separator:a1a78fcf3b4ce5299afdf160b79636a35 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d5f5617721928dc6298443f2596e58 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a39d5f5617721928dc6298443f2596e58">add_msg_stats_columns</a> (headers, data, message_column)</td></tr>
<tr class="separator:a39d5f5617721928dc6298443f2596e58 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:a48ef6c27fc329d19d52e03833ba111e5 inherit pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a></td></tr>
<tr class="separator:a48ef6c27fc329d19d52e03833ba111e5 inherit pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Computes correlation of data and statistical analysis </pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00203">203</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4841441ebaf180449297cccc8885c77b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.StatsAnalysis.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dataset_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param dataset_file: str
    Path to folder with data to analyse
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00206">206</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="adf5b8a2bcb4064edd61e8836125ad622"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.StatsAnalysis.get_top_posts </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>likes_header</em> = <code>&quot;likes&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>min_likes_to_be_top_posts</em> = <code>90</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param likes_header: str
    Column name of likes count
:param min_likes_to_be_top_posts: float in [0, 1]
    Percentile for a post to be considered top post
:return: [] of []
    List of top posts (#likes &gt;= x * max_likes)
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00234">234</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a496abc3705fe7bf77f582593185554aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.StatsAnalysis.show_correlation_matrix </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>title_image</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers_to_analyze</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param title_image: str
    Title of output image
:param headers_to_analyze: [] of str
    Compute correlation matrix of only these headers
:return: void
    Shows correlation matrix of data of files in folder
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00214">214</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/analysis/<a class="el" href="analysis_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis.html">analysis</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html">StatsAnalysis</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
